<!DOCTYPE html>
<html lang="es">
<?php
include 'header.php';
?>

  <div class="">
    <div class=""><img src=""></div>
  </div>
  <div class="container">
    <div class="section">
      <div class="row">
        <div class="col s12 center-align">
          <h5 class="grey-text">
            A continuación presentamos algunas de las hormonas más relevantes.                     
          </h5>
        </div>
      </div>
      <div class="row">
        <div class="col s12 m4">
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Hormona tiroestimulante (TSH)
              </h4>
              <span class="justify-align">
                Es una hormona glucoproteica secretada por la hipófisis anterior. Su función principal es la regulación de la síntesis y liberación de las hormonas tiroideas.
                <br> <br>
                Valores de referencia: <br> 0,25 –5,0 µu/ml.
              </span>  
          </div>
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Triyodotironina total (T3 total)
              </h4>
              <span class="justify-align">
                La T3 es una hormona producida por el tiroides que junto con la tiroxina (T4) regula la oxidación de los tejidos, el desarrollo y crecimiento y el metabolismo de los alimentos. La importancia clínica de la valoración de la T3 está en el diagnóstico de hipertiroidismo, tirotoxicosis, enfermedad de Graves Basedow, toxicidad por T3 y terapia de sustitución de T4.
                <br> <br>
                Valores de referencia: <br> 0,80-1,90 ng/ml.
              </span>  
          </div>
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Parathormona (PTH)
              </h4> 
              <span class="justify-align">
                La hormona paratiroidea (PTH) es un polipéptido sintetizado en la glándula paratiroidea. Su función principal es la de restablecer los niveles séricos de calcio cuando éstos son bajos, movilizando el calcio desde los huesos hasta la circulación sanguínea. <br><br>
                Valores de referencia: <br>
                14-63 pg/ml.
              </span>
          </div>
        </div>
        <div class="col s12 m4">
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Tiroxina total (T4 total)
              </h4> 
              <span class="justify-align">
                La tiroxina (T4) es la principal hormona tiroidea y regula junto con la triyodotironina (T3) la tasa de oxidación en la mayoría de los tejidos. Interviene además en el desarrollo y crecimiento, principalmente del cerebro, y regula el metabolismo de los alimentos. <br><br>
                Valores de referencia: <br>
                4,7-12,4 µg/dl.
              </span>
          </div>
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Triyodotironina libre (T3 libre)
              </h4>
              <span class="justify-align">
Es la fracción de T3 que no se encuentra unida a proteínas y la responsable de los efectos fisiológicos de la hormona. Por esto, la valoración de la T3 libre refleja el estado del tiroides de una manera más fiable que la T3 total. Además no se encuentra afectada por las alteraciones en las proteínas transportadoras que pueden afectar a la concentración de la T3 total e impedir un diagnóstico correcto del estado del tiroides.                <br> <br>
                Valores de referencia: <br> 1,4-4,4 pg/ml.
              </span>  
          </div>
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Tiroglobulina
              </h4> 
              <span class="justify-align">
                Es una glucoproteína sintetizada en el tiroides, del cual es un marcador específico. Interviene en la secreción, síntesis y almacenamiento de las hormonas tiroideas T3 y T4. <br><br>
                Valores de referencia: <br>
                0,5 – 7,0 ng/ml.
              </span>
          </div>
        </div>
        <div class="col s12 m4">
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Tiroxina libre (T4 Libre)
              </h4> 
              <span class="justify-align">
                Es la fracción de T4 no unida a proteínas, es la fisiológicamente activa y su concentración depende únicamente del estado del tiroides. Por esta razón es la que generalmente se mide para el control de la funcionalidad del tiroides. <br><br>
                Valores de referencia: <br>
                9-20 pmol/l.
              </span>
          </div>
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Anticuerpos Anti Tiroideos
              </h4> 
              <span class="justify-align">
                Las enfermedades autoinmunes que afectan al tiroides suelen cursar con la formación de autoanticuerpos contra la proteína tiroidea tiroglobulina y contra un componente microsomal del tiroides. Por esta razón los valores de anticuerpos anti-tiroglobulina y anti-tiroperoxidasa se encuentran aumentados. <br><br>
                Valores de referencia: <br>
                Anti-tiroglobulina: hasta 4,1 ui/ml. <br>
Anti-tiroperoxidasa: hasta 5,6 ui/ml
              </span>
          </div>
          <div class="card-panel blue justify-align white-text">
              <h4 class="left-align">
                Prolactina
              </h4> 
              <span class="justify-align">
                Es una hormona secretada por la hipófisis, cuya función principal es actuar sobre las glándulas mamarias para iniciar y mantener la lactancia. <br><br>
                Valores de referencia: <br>
                Hombres: 3,9-14,7 ng/ml. <br>
                Mujeres: 3,9-23,2 ng/ml.
              </span>
          </div>
        </div>
      </div>
    </div>
  </div>

   <?php
   include 'footer.php';
   ?>
  </body>
</html>