<?php
namespace Controllers;

require_once __DIR__."/../../vendor/autoload.php";

use CorePHP\Models\Administradores; 
use CorePHP\Core\SessionUtils;

header('Content-Type: text/html; charset=utf-8');

class AdminController
{
  private $_data = null;
  private $_instanceDoctores  = null;

  public function __construct($argument)
  {
    try {
      $this->_data = $argument;
      $this->_instanceAdmin = new Administradores();
      $this->_instanceSession = new SessionUtils();
      $this->__init__();
    }
    catch (\Exception $e) {
      
      echo "Constructor ".$e->getMessage();

    }

  }

  private function __init__()
  {
    extract($this->_data);

    if (isset($user_panel) && isset($pass_panel)) {
      
      if($user_panel != "" && $pass_panel != ""){

        $user_panel_cr = md5($user_panel);
        $pass_panel_cr = md5($pass_panel);

        if ($this->_instanceAdmin->login($user_panel_cr,$pass_panel_cr)) {

          $this->_instanceSession->user = $this->_instanceAdmin->lg;
          $this->_instanceSession->username = $user_panel;

          $response = array(
            'access' => true,
            'status' => 1,
            'content' => "Bienvenido $user_panel"
          );

          echo json_encode($response, JSON_FORCE_OBJECT);

        }
        else {

          $response = array(
            'access' => false,
            'status' => 2,
            'content' => "Datos erroneos, verifica tu usuario y contraseña"
          );

          echo json_encode($response, JSON_FORCE_OBJECT);
        }
      }
      else {

        $response = array(
          'access' => false,
          'status' => 3,
          'content' => "Campos vacios, solicitud incorrecta"
        );

        echo json_encode($response, JSON_FORCE_OBJECT);
      }
    }
    else if ($log_out){
      $this->_instanceSession->closeSession();
    }
    else {

      $response = array(
        'access' => false,
        'status' => 4,
        'content' => "Solicitud Inválida"
      );

      echo json_encode($response, JSON_FORCE_OBJECT);
    }
  }
}
if($_POST){
  new AdminController($_POST);
}else{
  echo "Error POST";
}

