<?php
/**
 * @author Eduardo Aguilar <dante.aguilar41@gmail.com>
 */

namespace CorePHP\Libraries;

class QueryMap
{

    public $queryList = array();


        /**
     * Arreglo de querys para el modelo administrador Administradores
     */
    public function AdministradoresQuery()
    {
        $this->queryList['Administradores'] = array(
            "getItem" => "SELECT * FROM Administradores WHERE id_Administrador = [[id]]",
            "getAllItems" => "SELECT * FROM Administradores",
            "getItemByUser" => "SELECT * FROM Administradores WHERE usuario = '[[user]]'",
            "getItemByPassword" => "SELECT * FROM Administradores WHERE pass = '[[password]]'",
            "insertItem" => "INSERT INTO Administradores (nombre,apellidos,usuario,pass,tipo) VALUES ('[[nombre]]','[[apellidos]]','[[usuario]]','[[pass]]',[[tipo]])",
            "updateItem" => "UPDATE Administradores SET [[data]] WHERE id_Administrador = [[id]]",
            "deleteItem" => "DELETE FROM Administradores WHERE id_Administrador = [[id]]",
            "getLastItem" => "SELECT MAX(id_Administrador) AS 'last' FROM Administradores" ,
            "getAllItemsByTipo" => "SELECT * FROM Administradores WHERE tipo = [[id]]",
            "login" => "SELECT id_Administrador as lg FROM Administradores WHERE usuario = '[[user]]' AND pass = '[[pass]]'",
            "auth" => "SELECT tipo FROM Administradores WHERE id_Administrador = [[user]] AND usuario = '[[username]]'"
        );
    }

    /**
     * Arreglo de querys para el modelo Categorias_Estudios
     */
    public function Categorias_EstudiosQuery()
    {
        $this->queryList['Categorias_Estudios'] = array(
            "getItem" => "SELECT * FROM Categorias_Estudios WHERE id_Categoria_Estudio = [[id]]",
            "getAllItems" => "SELECT * FROM Categorias_Estudios ORDER BY categoria",
            "insertItem" => "INSERT INTO Categorias_Estudios (categoria) VALUES ('[[categoria]]')",
            "updateItem" => "UPDATE Categorias_Estudios SET [[data]] WHERE id_Categoria_Estudio = [[id]]",
            "deleteItem" => "DELETE FROM Categorias_Estudios WHERE id_Categoria_Estudio = [[id]]",
            "getLastItem" => "SELECT * FROM Categorias_Estudios WHERE id_Categoria_Estudio = (SELECT MAX(id_Categoria_Estudio) FROM Categorias_Estudios)"
        );
    }
    
    /**
     * Arreglo de querys para el modelo Doctores
     */
    public function DoctoresQuery()
    {
        $this->queryList['Doctores'] = array(
            "getItem" => "SELECT * FROM Doctores WHERE id_Doctor = [[id]]",
            "getAllItems" => "SELECT * FROM Doctores",
            "insertItem" => "INSERT INTO Doctores (nombre,apellido_paterno,apellido_materno,especialidad,telefono,correo,clave) VALUES ('[[nombre]]','[[app]]','[[apm]]',[[especialidad]],'[[telefono]]','[[correo]]',[[clave]])",
            "login" => "SELECT nombre,id_Doctor as id FROM Doctores WHERE clave = '[[user]]' AND apellido_paterno = '[[pass]]'",
            "updateItem" => "UPDATE Doctores SET [[data]] WHERE id_Doctor = [[id]]",
            "deleteItem" => "DELETE FROM Doctores WHERE id_Doctor = [[id]]",
            "getLastItem" => "SELECT * FROM Doctores WHERE id_Doctor = (SELECT MAX(id_Doctor) FROM Doctores)" ,
            "getAllItemsByEspecialidad" => "SELECT * FROM Doctores WHERE especialidad = [[id]]",
            "getItemById" => "SELECT id_Doctor FROM Doctores WHERE clave = '[[id]]'",
            "getItemSearch" => "SELECT concat(nombre,' ',apellido_paterno,' ',apellido_materno) as nombre, apellido_paterno as app, clave, id_Doctor FROM Doctores WHERE clave LIKE '%[[search]]%' OR nombre LIKE '%[[search]]%'",
            "count" => "SELECT count(*) as numero from Doctores",
            "relEsp" => "SELECT count(clave) as posible from Doctores WHERE especialidad = [[id]]",
            "getPacientes_Doctor" => "SELECT Pacientes.nombre as nombre, Estudios.estudio as estudio, Resultados.estatus as estatus, Resultados.fecha as fecha, Resultados.id_Resultado as id FROM Resultados INNER JOIN Estudios ON Resultados.estudio=Estudios.id_Estudio INNER JOIN Pacientes ON Resultados.paciente=Pacientes.id_Paciente WHERE doctor = [[clave_doctor]]"
        );
    }

    /**
     * Arreglo de querys para el modelo Especialidades
     */
    public function EspecialidadesQuery()
    {
        $this->queryList['Especialidades'] = array(
            "getItem" => "SELECT * FROM Especialidades WHERE id_Especialidad = [[id]]",
            "getAllItems" => "SELECT * FROM Especialidades order by especialidad",
            "insertItem" => "INSERT INTO Especialidades (especialidad) VALUES ('[[especialidad]]')",
            "updateItem" => "UPDATE Especialidades SET [[data]] WHERE id_Especialidad = [[id]]",
            "deleteItem" => "DELETE FROM Especialidades WHERE id_Especialidad = [[id]]",
            "getLastItem" => "SELECT * FROM Especialidades WHERE id_Especialidad = (SELECT MAX(id_Especialidad) FROM Especialidades)" 
        );
    }

    /**
     * Arreglo de querys para el modelo Estatus_Estudios
     */
    public function Estatus_EstudiosQuery()
    {
        $this->queryList['Estatus_Estudios'] = array(
            "getItem" => "SELECT * FROM Estatus_Estudios WHERE id_Estatus = [[id]]",
            "getAllItems" => "SELECT * FROM Estatus_Estudios",
            "insertItem" => "INSERT INTO Estatus_Estudios (estatus) VALUES ('[[estatus]]')",
            "updateItem" => "UPDATE Estatus_Estudios SET [[data]] WHERE id_Estatus = [[id]]",
            "deleteItem" => "DELETE FROM Estatus_Estudios WHERE id_Estatus = [[id]]",
            "getLastItem" => "SELECT * FROM Estatus_Estudios WHERE id_Estatus = (SELECT MAX(id_Estatus) FROM Estatus_Estudios)" 
        );
    }

    /**
     * Arreglo de querys para el modelo Estudios
     */
    public function EstudiosQuery()
    {
        $this->queryList['Estudios'] = array(
            "getItem" => "SELECT * FROM Estudios WHERE id_Estudio = [[id]]",
            "getAllItems" => "SELECT * FROM Estudios",
            "insertItem" => "INSERT INTO Estudios (clave,estudio,categoria,entrega,precio,preparacion) VALUES ('[[clave]]','[[estudio]]',[[categoria]],'[[entrega]]','[[precio]]','[[preparacion]]')",
            "updateItem" => "UPDATE Estudios SET [[data]] WHERE id_Estudio = [[id]]",
            "deleteItem" => "DELETE FROM Estudios WHERE id_Estudio = [[id]]",
            "getLastItem" => "SELECT * FROM Estudios WHERE id_Estudio = (SELECT MAX(id_Estudio) FROM Estudios)" ,
            "getAllItemsByCat" => "SELECT estudio, precio, preparacion, estatus FROM Estudios INNER JOIN Estatus_Estudios ON Estudios.disponibilidad=Estatus_Estudios.id_Estatus INNER JOIN Categorias_Estudios ON Estudios.categoria=Categorias_Estudios.id_Categoria_Estudio WHERE Categorias_Estudios.categoria = '[[cat]]'",
            "getAllItemsByLike" => "SELECT estudio, precio, preparacion, estatus FROM Estudios INNER JOIN Estatus_Estudios ON Estudios.disponibilidad=Estatus_Estudios.id_Estatus WHERE estudio LIKE '%[[comp]]%'",
            "getItemById" => "SELECT id_Estudio FROM Estudios WHERE clave = '[[id]]'",
            "getAllCategorias" => "SELECT * FROM Categorias_Estudios ORDER BY categoria",
            "getItemSearch" => "SELECT estudio, clave, disponibilidad, id_Estudio FROM Estudios WHERE estudio LIKE '%[[search]]%' OR clave LIKE '%[[search]]%'",
            "count" => "SELECT count(*) as numero from Estudios",
            "relEsp" => "SELECT count(clave) as posible from Estudios WHERE categoria = [[id]]",
            "block" => "UPDATE Estudios SET disponibilidad = 2 WHERE id_Estudio = [[id]]",
            "unblock" => "UPDATE Estudios SET disponibilidad = 1 WHERE id_Estudio = [[id]]"
        );
    }

    /**
     * Arreglo de querys para el modelo Pacientes
     */
    public function PacientesQuery()
    {
        $this->queryList['Pacientes'] = array(
            "getItem" => "SELECT * FROM Pacientes WHERE id_Paciente = [[id]]",
            "login" => "SELECT id_Paciente, concat(nombre, ' ', apellido_paterno) as nombre FROM Pacientes WHERE expediente = '[[user]]' AND apellido_paterno = '[[pass]]'",
            "getAllItems" => "SELECT * FROM Pacientes",
            "insertItem" => "INSERT INTO Pacientes (nombre,apellido_paterno,apellido_materno,fecha_nacimiento,expediente) VALUES ('[[nombre]]','[[apellido_paterno]]','[[apellido_materno]]','[[fecha_nacimiento]]',[[expediente]])",
            "updateItem" => "UPDATE Pacientes SET [[data]] WHERE id_Paciente = [[id]]",
            "deleteItem" => "DELETE FROM Pacientes WHERE id_Paciente = [[id]]",
            "getLastItem" => "SELECT * FROM Pacientes WHERE id_Paciente = (SELECT MAX(id_Paciente) FROM Pacientes)",
            "getItemById" => "SELECT id_Paciente FROM Pacientes WHERE expediente = [[id]]",
            "getItemSearch" => "SELECT id_Paciente AS id, nombre, apellido_paterno AS app, apellido_materno AS apm, expediente FROM Pacientes WHERE expediente LIKE '%[[search]]%' OR concat(nombre, ' ', apellido_paterno, ' ', apellido_materno) LIKE '%[[search]]%'",
            "count" => "SELECT count(*) as numero from Pacientes"
        );
    }

    /**
     * Arreglo de querys para el modelo Resultados
     */
    public function ResultadosQuery()
    {
        $this->queryList['Resultados'] = array(
            "getItem" => "SELECT * FROM Resultados WHERE id_Resultado = [[id]]",
            "getAllItems" => "SELECT * FROM Resultados",
            "insertItem" => "INSERT INTO Resultados (id_Resultado,paciente,fecha,estudio,estatus,doctor) VALUES ([[id_Resultado]],[[paciente]],'[[fecha]]',[[estudio]],[[estatus]],[[doctor]])",
            "insertItemAssignation" => "INSERT INTO Resultados (paciente,estudio,estatus,doctor,fecha) VALUES ([[paciente]],[[estudio]],[[estatus]],[[doctor]],'[[fecha]]')",
            "updateItem" => "UPDATE Resultados SET [[data]] WHERE id_Resultado = [[id]]",
            "deleteItem" => "DELETE FROM Resultados WHERE id_Resultado = [[id]]",
            "getLastItem" => "SELECT * FROM Resultados WHERE id_Resultado = (SELECT MAX(id_Resultado) FROM Resultados)" ,
            "getAllItemsByDoctor" => "SELECT * FROM Resultados WHERE doctor = [[id]]",
            "getAllItemsByEstatus" => "SELECT * FROM Resultados WHERE estatus = [[id]]",
            "getAllItemsByEstudio" => "SELECT * FROM Resultados WHERE estudio = [[id]]",
            "getList" => "SELECT concat(Pacientes.nombre, ' ', Pacientes.apellido_paterno) AS paciente, Estudios.estudio AS estudio, id_Resultado AS id, Resultados.fecha AS fecha FROM Resultados INNER JOIN Pacientes ON Resultados.paciente=Pacientes.id_Paciente INNER JOIN Estudios ON Resultados.estudio=Estudios.id_Estudio WHERE estatus = 2",
            "getHistorial" => "SELECT concat(Pacientes.nombre, ' ', Pacientes.apellido_paterno) AS paciente, Estudios.estudio AS estudio, id_Resultado AS id, Resultados.fecha AS fecha, Resultados.estatus AS estatus FROM Resultados INNER JOIN Pacientes ON Resultados.paciente=Pacientes.id_Paciente INNER JOIN Estudios ON Resultados.estudio=Estudios.id_Estudio",
            "getAllItemsByPaciente" => "SELECT concat(nombre,' ', apellido_paterno) as Nombre, Estudios.estudio as estudio, Estatus_Estudios.estatus as estatus, Categorias_Estudios.categoria as categoria, Resultados.fecha, id_Resultado AS id FROM Resultados INNER JOIN Pacientes ON Resultados.paciente=Pacientes.id_Paciente INNER JOIN Estudios ON Resultados.estudio=Estudios.id_Estudio INNER JOIN Estatus_Estudios ON Resultados.estatus=Estatus_Estudios.id_Estatus INNER JOIN Categorias_Estudios ON Estudios.categoria=Categorias_Estudios.id_Categoria_Estudio WHERE Resultados.paciente = [[id]]",
            "count" => "SELECT count(*) as numero from Resultados",
            "insertPDF" => "UPDATE Resultados SET pdf='[[pdf]]' WHERE id_Resultado = '[[id]]'",
            "insertJPG" => "UPDATE Resultados SET img='[[jpg]]' WHERE id_Resultado = '[[id]]'",
            "cambiaEstatus" => "UPDATE Resultados SET estatus=[[estatus]] WHERE id_Resultado = '[[id]]'",
            "getPDF" => "SELECT pdf FROM Resultados WHERE id_Resultado = [[id]]",
            "getJPG" => "SELECT img FROM Resultados WHERE id_Resultado = [[id]]",
            "getFiles" => "SELECT pdf, img FROM Resultados WHERE id_Resultado = [[id]]"
        );
    }

    /**
     * Arreglo de querys para el modelo Tipo_Administrador
     */
    public function Tipo_AdministradorQuery()
    {
        $this->queryList['Tipo_Administrador'] = array(
            "getItem" => "SELECT * FROM Tipo_Administrador WHERE id_Tipo_Administrador = [[id]]",
            "getAllItems" => "SELECT * FROM Tipo_Administrador",
            "insertItem" => "INSERT INTO Tipo_Administrador (Tipo) VALUES ('[[Tipo]]')",
            "updateItem" => "UPDATE Tipo_Administrador SET [[data]] WHERE id_Tipo_Administrador = [[id]]",
            "deleteItem" => "DELETE FROM Tipo_Administrador WHERE id_Tipo_Administrador = [[id]]",
            "getLastItem" => "SELECT * FROM Tipo_Administrador WHERE id_Tipo_Administrador = (SELECT MAX(id_Tipo_Administrador) FROM Tipo_Administrador)" 
        );
    }

    /*add-function-model*/
}